Type to search.

Get current security deployment

  • GET /platform/configuration/security/deployment
Auth

Retrieves the current security deployment.

Responses

The security deployment was successfully returned

application/json
cluster_id string required

The identifier for the security deployment cluster

deployment_id string

The identifier for the security deployment

name string required

The name of the security deployment cluster

version string

The version of the Elasticsearch cluster

status enum required

The current status of the cluster

Values: initializing stopping stopped rebooting restarting reconfiguring started
has_pending_plan boolean required

True if a pending plan is in progress

is_healthy boolean required

True if the cluster is healthy

is_enabled boolean required

True if the security cluster is currently enabled

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)